CREATE PROCEDURE RQDROP_VIEW (IN id INTEGER) 
LANGUAGE SQL
BEGIN
   DECLARE SQLCODE INTEGER DEFAULT 0;
   DECLARE retcode INTEGER DEFAULT 0;
   DECLARE sql_txt1 VARCHAR(50);
   DECLARE sql_txt2 VARCHAR(50);
 
   DECLARE CONTINUE HANDLER FOR SQLEXCEPTION SET retcode = SQLCODE;
   DECLARE CONTINUE HANDLER FOR SQLWARNING SET retcode = SQLCODE; 
   DECLARE CONTINUE HANDLER FOR NOT FOUND SET retcode = SQLCODE; 

   SET sql_txt1 = 'DROP VIEW RQATTRVALUESVIEW_'||CHAR(id);
   SET sql_txt2 = 'DROP VIEW RQATTRVALUESSORTVIEW_'||CHAR(id);

   PREPARE STMT1 FROM sql_txt1;
   EXECUTE STMT1;

   PREPARE STMT2 FROM sql_txt2;
   EXECUTE STMT2;
END
@